#include "audio.h"

void loadSound(char *name, int id)
{
	sounds.effect[id] = Mix_LoadWAV(name);

	if (sounds.effect[id] == NULL)
	{
		printf("Failed to load sound %s\n", name);
	}
}

void loadMusic(char *name)
{
	 music = Mix_LoadMUS(name);

	 if (music == NULL)
	 {
		 printf("Failed to load music %s\n", name);
	 }
}

void playSound(int soundID)
{
	if (game.audio == 1 && sounds.effect[soundID] != NULL)
	{
		Mix_PlayChannel(-1, sounds.effect[soundID], 0);
	}
}

void playMusic()
{
	if (game.audio == 1 && music != NULL)
	{
		Mix_PlayMusic(music, -1);
	}
}
