#include "vector.h"

void calculatePathToTarget(Entity *e, float targetX, float targetY)
{
	float x, y, total;
	
	x = targetX - e->x;
	y = targetY - e->y;
	total = fabs(x) + fabs(y);
	
	e->dx = x / total;
	e->dy = y / total;
}

void calculateTargetFromAngle(float *targetX, float *targetY, float angle)
{
	*targetX = 100 * cos(angle * PI / 180) - 0   * sin(angle * PI / 180);
	*targetY = 0   * cos(angle * PI / 180) + 100 * sin(angle * PI / 180);
}
